using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("prod_plan_execute_user"), TenantAttribute("mes")]
    [DataContract(Name = "ProdPlanExecuteUser 员工信息")]
    public class ProdPlanExecuteUser
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 订单编号
        /// </summary>
        [SugarColumn(ColumnName = "order_code")]
        public string OrderCode { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string PlanCode { get; set;}

        /// <summary>
        /// 工序编号
        /// </summary>
        [SugarColumn(ColumnName = "process_code")]
        public string ProcessCode { get; set; }

        /// <summary>
        /// 工位编号
        /// </summary>
        [SugarColumn(ColumnName = "station_code")]
        public string StationCode { get; set; }

        /// <summary>
        /// 员工编号
        /// </summary>
        [SugarColumn(ColumnName = "staff_id")]
        public string StaffId { get; set; }

        /// <summary>
        /// 完成数量
        /// </summary>
        [SugarColumn(ColumnName = "complete_amount")]
        public string CompleteAmount { get; set; }

        /// <summary>
        /// 工单明细开始时间
        /// </summary>
        [SugarColumn(ColumnName = "plan_begin_date")]
        public string PlanBeginDate { get; set; }

        /// <summary>
        /// 工单明细结束时间
        /// </summary>
        [SugarColumn(ColumnName = "plan_end_date")]
        public string PlanEndDate { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public string CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public string UpdatedTime { get; set; }

        /// <summary>
        /// 批次号锅数
        /// </summary>
        [SugarColumn(ColumnName = "batch_number")]
        public int BatchNumber { get; set; }

        /// <summary>
        /// 下班时间
        /// </summary>
        [SugarColumn(ColumnName = "off_work_time")]
        public string OffWorkTime { get; set; }
    }
}
